Knowledge Base > Panel Installation > Other > HeliLink Compatibility

in OtherPanel Installation Tags: helilinkHeliLink compatibility

The HeliLink installer app is available on the iOS App Store and is compatible with the following Apple products.

 

iPhone: iPhone 4S and later.

iPad: iPad 3 and later.

iPad Mini: Original iPad mini and later.

iPod Touch: iPod 5th Generation and later.

All devices have Bluetooth 4.0 or later which is used to connect to Helix. Cellular data plan is not required on cellular capable devices.

If your device is on the compatible list and you are unable to join with Helix CLICK HERE!

0

  • benjamingill

    Is there any timeline on android app?